<!-- IGAC proyecto SNC

@author juan.agudelo
@description Pantalla de gestión bloqueo masivo predios en condiciones especiales
@version 2.0	 	
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
@modified javier.barajas se modifica y se ajusta para el CU 213
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="todo" width="100%">

    <p:messages id="msgsDP2" showDetail="false" globalOnly="false" />

    <h:form id="gestionArchivosFormUP" enctype="multipart/form-data">
        <h:panelGrid columns="1" cellspacing="3" width="100%">
            <p:spacer width="0" height="5" />

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Ingrese el archivo de soporte del bloqueo masivo, este sera utilizado para todos los predios bloqueados masivamente."
                styleClass="noteTextStyle" />
            <h:outputText
                value="Las extensiones válidas del archivo de soporte son tif, png, jpg, jpeg y pdf."
                styleClass="noteTextStyle" />
            <p:spacer height="0" width="30" />

            <p:fileUpload id="fu"
                          fileUploadListener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.archivoUpload}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido"
                          label="Cargar documento" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                          mode="advanced" sizeLimit="#{general.maximoTamanoAdjuntos}"
                          allowTypes="/(\.|\/)(pdf|dwg|tif|png|jp[e]?g)$/"
                          update=":msgsDP2, :solicitarDocumentosForm,fu,
                          gestionArchivosFormUP:panelDocSop"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <h:panelGrid columns="3" cellspacing="7" id="panelDocSop">
                <h:outputLabel value="Documento de soporte: "
                               styleClass="outputLabelStyle"
                               rendered="#{ not empty bloquearPrediosParaZonasEnCondicionesEspeciales.documentoSoporteBloqueo.archivo}" />

                <p:commandLink
                    value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoSoporteBloqueo.archivo}"
                    update=":docVDocSoporte:docViewerCCForm"
                    styleClass="commandLinkStyle"
                    oncomplete="docViewerDSWV.show();statusDialog2.hide()"
                    onstart="statusDialog2.show()"
                    rendered="#{not empty bloquearPrediosParaZonasEnCondicionesEspeciales.documentoSoporteBloqueo.archivo}">
                    <f:setPropertyActionListener
                        target="#{previsualizacionDocumento.documentoTemporal}"
                        value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoSoporteBloqueo}" />
                    <f:setPropertyActionListener
                        target="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoTemporalAVisualizar}"
                        value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoSoporteBloqueo}" />
                </p:commandLink>

            </h:panelGrid>

        </h:panelGrid>
    </h:form>

    <p:separator />
    <h:form id="gestionArchivos2FormUP" prependId="false"
            enctype="multipart/form-data">
        <h:panelGrid columns="1" cellspacing="3" width="100%">
            <p:spacer width="0" height="10" />

            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />

            <h:outputText
                value="El archivo de bloqueo masivo debe tener extensión .txt  separado por punto y coma ó .xls ó .xlsx separado en celdas."
                styleClass="noteTextStyle" />
            <h:outputText
                value="El archivo de bloqueo masivo debe tener la estructura ordenada: número predial, motivo bloqueo, fecha inicial, fecha de radicación y fecha final (opcional)."
                styleClass="noteTextStyle" />

            <p:spacer height="0" width="30" />
            <p:fileUpload id="fus"
                          fileUploadListener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.archivoVM}" required="true"
                          dragDropSupport="true"
                          invalidFileMessage="El tipo de archivo seleccionado no es valido"
                          label="Cargar archivo" auto="true"
                          invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                          mode="advanced" sizeLimit="#{general.maximoTamanoAdjuntos}"
                          allowTypes="/(\.|\/)(xls|txt|xlsx?)$/"
                          update=":msgsDP2, :solicitarDocumentosForm,fus,
                          gestionArchivos2FormUP:panelDocSop"
                          onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <h:panelGrid columns="2" cellspacing="7" id="panelDocSop">
                <h:outputLabel value="Documento de bloqueo masivo: "
                               rendered="#{ not empty bloquearPrediosParaZonasEnCondicionesEspeciales.nombreDocumentoBloqueoMasivo}"
                               styleClass="outputLabelStyle" />

                <p:commandLink id="downloadLink" styleClass="commandLinkStyle"
                               value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.nombreDocumentoBloqueoMasivo}" ajax="false"
                               process="@this"
                               rendered="#{ not empty bloquearPrediosParaZonasEnCondicionesEspeciales.nombreDocumentoBloqueoMasivo}">
                    <f:setPropertyActionListener
                        target="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoTemporalAVisualizar}"
                        value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.documentoTemporalBloqueoMasivo}" />
                    <p:fileDownload value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.fileTempDownload}" />
                </p:commandLink>

            </h:panelGrid>

        </h:panelGrid>
    </h:form>

    <h:form id="solicitarDocumentosForm" prependId="false">

        <p:separator />

        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="0" width="7" />
            <p:commandButton value="Guardar"
                             action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.bloquearPB}" id="btnGuardar"
                             update=":msgsDP2" icon="ui-icon-disk"
                             oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, docViewerWV, true);"
                             onstart="statusDialog2.show();" />
        </p:outputPanel>

    </h:form>
</h:panelGrid>

